* {
  box-sizing: border-box;
}
body {
  margin: 0;
  font-family: Arial;
  background: #320b42;
}


.navbar {
  position: relative;
  margin-top: 5px;
  top: 0;
  width: 100%;
  height: 70px;

  display: flex;
  justify-content: center;
  align-items: center;

  background: #382765e4;
  border-bottom: 2px solid #9f0cda;
  z-index: 1000;
}

.navbar h2 {
  font-size: 35px;
  color: #ff4d4d;
}


.content {
  padding: 20px;
  margin-top: 80px;  
}
.description {
  position:relative;
  margin: 20px auto;
  padding: 15px;
  max-width: auto;
  text-align: center;
  background: #35133fd8;
  color: #ffffff;
  border-radius: 10px;
  border: 1px solid #702f2f;
  font-size: 16px;
  line-height: 1.6;
}

.player {
  width: 80%;
  aspect-ratio: 16 / 9;
    margin: 0 auto 30px;
    background: #b174d695;
    display: flex;
    justify-content: center;
    align-items: center;
    border-radius: 12px;

}

#videoFrame {
  width: 100%;
  height: 100%;
  border-radius: 12px;
  border: 2px solid #930404;
}

#placeholder {
  text-align: center;
  font-size: 20px;
  color: white;
  margin-bottom: 10px;
 
}

.video-list {
  display: grid;
  grid-template-columns: repeat(auto-fit, minmax(200px, 1fr));
  gap: 20px;
}


.video-card {
  
  border-radius: 10px;
  padding: 12px;
  background: #b174d695;
  transition: 0.3s;
}

.video-card:hover {
  transform: scale(1.03);
}

.video-card img {
  width: 100%;
  border-radius: 10px;
}


.video-card input {
  width: 100%;
  padding: 10px;
  border-radius: 8px;
  border: none;
  font-size: 14px;

}

.buttons {
  display: flex;
  gap: 10px;
  margin: 10px 0;
}

.buttons button {
  flex: 1;
  padding: 10px;
  font-size: 14px;
  font-weight: bold;
  background: #2563eb;
  color: white;
  border: none;
  border-radius: 6px;
}

.buttons button:hover {
  background: #1d4ed8;
}


.footer {
  margin-top: 40px;
  padding: 20px;
  text-align: center;
  background: #382765e4;
  color: #93c5fd;
}

.footer-links p {
  font-size: 14px;
}

.footer a {
  color: #225bd6;
  text-decoration: none;
}

.footer a:hover {
  text-decoration: underline;
}

/* for mobile*/
@media (max-width: 600px) {


  .player {
    width: 100%;
    aspect-ratio: 16 / 9;
  }

  #videoFrame {
    width: 100%;
    height: 100%;
  }

  .video-list {
    grid-template-columns: 1fr;
  }

  .video-card {
    padding: 8px;
  }

  .video-card input {
    font-size: 12px;
    padding: 8px;
  }


  .buttons button {
    font-size: 12px;
    padding: 8px;
  }

  
  .navbar h2 {
    font-size: 22px;
  }
}


body {
  background: #1e0b2e;
}

.navbar {
  background: #2a0f3f;
}

.video-card {
  background: #3b1a5a;
}

.buttons button {
  background: #3b82f6;
}

.footer {
  background: #2a0f3f;
}
.google_drive {
    text-align: center;
    margin: 20px;
    color: white;
}

.drive-link {
    display: inline-block;
    margin-bottom: 10px;
    text-decoration: none;
    font-weight: bold;
}

.buttons button {
    padding: 10px 18px;
    font-size: 16px;
    background-color: #4285F4;
    color: white;
    border: none;
    border-radius: 8px;
    cursor: pointer;
    transition: 0.3s;
}

.buttons button:hover {
    background-color: #2c6adf;
}
